<?xml version="1.0" standalone="no"?>
<!DOCTYPE database SYSTEM "file:///System/Library/DTDs/CoreData.dtd">

<database>
    <databaseInfo>
        <version>134481920</version>
        <UUID>1B28445A-3B18-4601-BB29-42978085D263</UUID>
        <nextObjectID>144</nextObjectID>
        <metadata>
            <plist version="1.0">
                <dict>
                    <key>NSPersistenceFrameworkVersion</key>
                    <integer>641</integer>
                    <key>NSStoreModelVersionHashes</key>
                    <dict>
                        <key>XDDevAttributeMapping</key>
                        <data>
		0plcXXRN7XHKl5CcF+fwriFmUpON3ZtcI/AfK748aWc=
		</data>
                        <key>XDDevEntityMapping</key>
                        <data>
		qeN1Ym3TkWN1G6dU9RfX6Kd2ccEvcDVWHpd3LpLgboI=
		</data>
                        <key>XDDevMappingModel</key>
                        <data>
		EqtMzvRnVZWkXwBHu4VeVGy8UyoOe+bi67KC79kphlQ=
		</data>
                        <key>XDDevPropertyMapping</key>
                        <data>
		XN33V44TTGY4JETlMoOB5yyTKxB+u4slvDIinv0rtGA=
		</data>
                        <key>XDDevRelationshipMapping</key>
                        <data>
		akYY9LhehVA/mCb4ATLWuI9XGLcjpm14wWL1oEBtIcs=
		</data>
                    </dict>
                    <key>NSStoreModelVersionHashesVersion</key>
                    <integer>3</integer>
                    <key>NSStoreModelVersionIdentifiers</key>
                    <array>
                        <string></string>
                    </array>
                </dict>
            </plist>
        </metadata>
    </databaseInfo>
    <object type="XDDEVATTRIBUTEMAPPING" id="z102">
        <attribute name="name" type="string">totalBytesWritten</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z125"></relationship>
    </object>
    <object type="XDDEVRELATIONSHIPMAPPING" id="z103">
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <attribute name="name" type="string">downloadTask</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z104">
        <attribute name="name" type="string">isMainPage</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z130"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z105">
        <attribute name="name" type="string">publisher</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVRELATIONSHIPMAPPING" id="z106">
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <attribute name="name" type="string">book</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z130"></relationship>
    </object>
    <object type="XDDEVRELATIONSHIPMAPPING" id="z107">
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <attribute name="name" type="string">articles</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVRELATIONSHIPMAPPING" id="z108">
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <attribute name="name" type="string">book</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z125"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z109">
        <attribute name="name" type="string">name</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z134"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z110">
        <attribute name="sourcename" type="string">Tag</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">2</attribute>
        <attribute name="destinationname" type="string">Tag</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z139"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z133"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING" idrefs="z135"></relationship>
    </object>
    <object type="XDDEVRELATIONSHIPMAPPING" id="z111">
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <attribute name="name" type="string">books</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z134"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z112">
        <attribute name="name" type="string">title</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z113">
        <attribute name="name" type="string">meta4URL</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z114">
        <attribute name="name" type="string">fileSize</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z115">
        <attribute name="name" type="string">code</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z134"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z116">
        <attribute name="name" type="string">stateRaw</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z125"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z117">
        <attribute name="name" type="string">isLocal</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVRELATIONSHIPMAPPING" id="z118">
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <attribute name="name" type="string">language</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVRELATIONSHIPMAPPING" id="z119">
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <attribute name="name" type="string">tags</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z130"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z120">
        <attribute name="name" type="string">title</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z130"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z121">
        <attribute name="name" type="string">isDisplayed</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z134"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z122">
        <attribute name="name" type="string">globalCount</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z123">
        <attribute name="migrationpolicyclassname" type="string">Kiwix.MigrationPolicy1_5</attribute>
        <attribute name="sourcename" type="string">Book</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">4</attribute>
        <attribute name="destinationname" type="string">Book</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z139"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z140 z114 z142 z112 z113 z132 z117 z129 z141 z136 z124 z105 z122 z128 z131 z126"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING" idrefs="z118 z103 z107"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z124">
        <attribute name="name" type="string">favIcon</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z125">
        <attribute name="sourcename" type="string">DownloadTask</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">3</attribute>
        <attribute name="destinationname" type="string">DownloadTask</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z139"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z102 z144 z116"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING" idrefs="z108"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z126">
        <attribute name="name" type="string">date</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z127">
        <attribute name="name" type="string">isBookmarked</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z130"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z128">
        <attribute name="valueexpressiondata" type="binary">YnBsaXN0MDDUAQIDBAUGFxhYJHZlcnNpb25YJG9iamVjdHNZJGFyY2hpdmVyVCR0b3ASAAGGoKQH
CA8QVSRudWxs0wkKCwwNDl8QD05TQ29uc3RhbnRWYWx1ZV8QEE5TRXhwcmVzc2lvblR5cGVWJGNsYXNzgAIQAIADEAHSERITFFokY2xhc3NuYW1lWCRjbGFzc2VzXxAZTlNDb25zdGFudFZhbHVlRXhwcmVzc2lvbqMTFRZcTlNFeHByZXNzaW9uWE5TT2JqZWN0XxAPTlNLZXllZEFyY2hpdmVy0RkaVHJvb3SAAQgRGiMtMjc8QklbbnV3eXt9go2WsrbDzN7h5gAAAAAAAAEBAAAAAAAAABsAAAAAAAAAAAAAAAAAAADo
</attribute>
        <attribute name="name" type="string">includeInSearch</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z129">
        <attribute name="name" type="string">articleCount</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z130">
        <attribute name="sourcename" type="string">Article</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">1</attribute>
        <attribute name="destinationname" type="string">Article</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z139"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z143 z120 z104 z137 z127 z138"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING" idrefs="z119 z106"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z131">
        <attribute name="valueexpressiondata" type="binary">YnBsaXN0MDDUAQIDBAUGFxhYJHZlcnNpb25YJG9iamVjdHNZJGFyY2hpdmVyVCR0b3ASAAGGoKQH
CA8QVSRudWxs0wkKCwwNDl8QD05TQ29uc3RhbnRWYWx1ZV8QEE5TRXhwcmVzc2lvblR5cGVWJGNsYXNzgAIQAIADEADSERITFFokY2xhc3NuYW1lWCRjbGFzc2VzXxAZTlNDb25zdGFudFZhbHVlRXhwcmVzc2lvbqMTFRZcTlNFeHByZXNzaW9uWE5TT2JqZWN0XxAPTlNLZXllZEFyY2hpdmVy0RkaVHJvb3SAAQgRGiMtMjc8QklbbnV3eXt9go2WsrbDzN7h5gAAAAAAAAEBAAAAAAAAABsAAAAAAAAAAAAAAAAAAADo
</attribute>
        <attribute name="name" type="string">hasIndex</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z132">
        <attribute name="name" type="string">desc</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z133">
        <attribute name="name" type="string">name</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z110"></relationship>
    </object>
    <object type="XDDEVENTITYMAPPING" id="z134">
        <attribute name="sourcename" type="string">Language</attribute>
        <attribute name="mappingtypename" type="string">Undefined</attribute>
        <attribute name="mappingnumber" type="int16">5</attribute>
        <attribute name="destinationname" type="string">Language</attribute>
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <relationship name="mappingmodel" type="1/1" destination="XDDEVMAPPINGMODEL" idrefs="z139"></relationship>
        <relationship name="attributemappings" type="0/0" destination="XDDEVATTRIBUTEMAPPING" idrefs="z115 z121 z109"></relationship>
        <relationship name="relationshipmappings" type="0/0" destination="XDDEVRELATIONSHIPMAPPING" idrefs="z111"></relationship>
    </object>
    <object type="XDDEVRELATIONSHIPMAPPING" id="z135">
        <attribute name="autogenerateexpression" type="bool">1</attribute>
        <attribute name="name" type="string">articles</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z110"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z136">
        <attribute name="name" type="string">mediaCount</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z137">
        <attribute name="name" type="string">lastReadDate</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z130"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z138">
        <attribute name="name" type="string">urlString</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z130"></relationship>
    </object>
    <object type="XDDEVMAPPINGMODEL" id="z139">
        <attribute name="sourcemodelpath" type="string">Kiwix/Kiwix.xcdatamodeld/Kiwix.xcdatamodel</attribute>
        <attribute name="sourcemodeldata" type="binary">YnBsaXN0MDDUAAEAAgADAAQABQAGMacxqFgkdmVyc2lvblgkb2JqZWN0c1kkYXJjaGl2ZXJUJHRv
[encoded data, 181232 characters]
</attribute>
        <attribute name="destinationmodelpath" type="string">Kiwix/Kiwix.xcdatamodeld/1.5.xcdatamodel</attribute>
        <attribute name="destinationmodeldata" type="binary">YnBsaXN0MDDUAAEAAgADAAQABQAGNC40L1gkdmVyc2lvblgkb2JqZWN0c1kkYXJjaGl2ZXJUJHRv
[encoded data, 190304 characters]
</attribute>
        <relationship name="entitymappings" type="0/0" destination="XDDEVENTITYMAPPING" idrefs="z130 z110 z125 z123 z134"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z140">
        <attribute name="name" type="string">id</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z141">
        <attribute name="valueexpressiondata" type="binary">YnBsaXN0MDDUAQIDBAUGSktYJHZlcnNpb25YJG9iamVjdHNZJGFyY2hpdmVyVCR0b3ASAAGGoK8Q
EwcIExQZGiInLC0wMTU6Oz5CRkhVJG51bGzVCQoLDA0ODxAREllOU09wZXJhbmReTlNTZWxlY3Rvck5hbWVfEBBOU0V4cHJlc3Npb25UeXBlW05TQXJndW1lbnRzViRjbGFzc4ADgAIQBIAGgBJbbmVnYXRlQm9vbDrTFQsNFhcYWk5TVmFyaWFibGWABBACgAVcZW50aXR5UG9saWN50hscHR5aJGNsYXNzbmFtZVgkY2xhc3Nlc18QFE5TVmFyaWFibGVFeHByZXNzaW9uox8gIV8QFE5TVmFyaWFibGVFeHByZXNzaW9uXE5TRXhwcmVzc2lvblhOU09iamVjdNIjDSQmWk5TLm9iamVjdHOhJYAHgBHVCQoLDA0oKRAqK4AJgAiAC4AQXxAQdmFsdWVGb3JLZXlQYXRoOtMVCw0uFxiACoAFVnNvdXJjZdIjDTI0oTOADIAP0w0LNjc4OVlOU0tleVBhdGiADhAKgA1XaXNOb1BpY9IbHDw9XxAcTlNLZXlQYXRoU3BlY2lmaWVyRXhwcmVzc2lvbqM8ICHSGxw/QF5OU011dGFibGVBcnJheaM/QSFXTlNBcnJhedIbHENEXxATTlNLZXlQYXRoRXhwcmVzc2lvbqRDRSAhXxAUTlNGdW5jdGlvbkV4cHJlc3Npb27SGxxBR6JBIdIbHEVJo0UgIV8QD05TS2V5ZWRBcmNoaXZlctFMTVRyb290gAEACAARABoAIwAtADIANwBNAFMAXgBoAHcAigCWAJ0AnwChAKMApQCnALMAugDFAMcAyQDLANgA3QDoAPEBCAEMASMBMAE5AT4BSQFLAU0BTwFaAVwBXgFgAWIBdQF8AX4BgAGHAYwBjgGQAZIBmQGjAaUBpwGpAbEBtgHVAdkB3gHtAfEB+QH+AhQCGQIwAjUCOAI9AkECUwJWAlsAAAAAAAACAQAAAAAAAABOAAAAAAAAAAAAAAAAAAACXQ==
</attribute>
        <attribute name="name" type="string">hasPic</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z142">
        <attribute name="name" type="string">creator</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z123"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z143">
        <attribute name="name" type="string">lastPosition</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z130"></relationship>
    </object>
    <object type="XDDEVATTRIBUTEMAPPING" id="z144">
        <attribute name="name" type="string">creationTime</attribute>
        <relationship name="entitymapping" type="1/1" destination="XDDEVENTITYMAPPING" idrefs="z125"></relationship>
    </object>
</database>